## quickfix 1.13.3%2Bdfsg

=== debian/control ===
Source: quickfix
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Athena Capital Research <acr-debian@athenacr.com>
Uploaders: Roberto C. Sanchez <roberto@connexer.com>
Build-Depends: debhelper (>= 5), autotools-dev, automake1.11, quilt, libxml2-dev, libmysqlclient-dev, libpqxx3-dev, libboost-all-dev, autoconf, automake, libtool
Standards-Version: 3.9.5
Section: libs
Homepage: http://www.quickfixengine.org/index.html
Vcs-Browser: https://github.com/quickfix/quickfix
Vcs-Git: git://github.com/quickfix/quickfix.git

Package: libquickfix-dev
Section: libdevel
Architecture: any
Depends: libquickfix14v5 (= ${binary:Version}), ${misc:Depends}
Suggests: libquickfix-doc
Description: FIX protocol library - development files
 The Financial Information eXchange (FIX) Protocol is a message standard
 developed to facilitate the electronic exchange of information related to
 securities transactions. It is intended for use between trading partners
 wishing to automate communications.
 .
 This package includes the quickfix development files.

Package: libquickfix14v5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libquickfix14
Replaces: libquickfix14
Description: FIX protocol library - runtime files
 The Financial Information eXchange (FIX) Protocol is a message standard
 developed to facilitate the electronic exchange of information related to
 securities transactions. It is intended for use between trading partners
 wishing to automate communications.
 .
 This package includes the quickfix runtime files.

Package: libquickfix14v5-dbg
Section: debug
Architecture: any
Depends: libquickfix14v5 (= ${binary:Version}), ${misc:Depends}
Conflicts: libquickfix14-dbg
Replaces: libquickfix14-dbg
Description: FIX protocol library - debugging symbols
 The Financial Information eXchange (FIX) Protocol is a message standard
 developed to facilitate the electronic exchange of information related to
 securities transactions. It is intended for use between trading partners
 wishing to automate communications.
 .
 This package includes the quickfix debugging symbols.

Package: libquickfix-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libquickfix-dev
Description: FIX protocol library - documentation
 The Financial Information Exchange (FIX) Protocol is a message standard
 developed to facilitate the electronic exchange of information related to
 securities transactions. It is intended for use between trading partners
 wishing to automate communications.
 .
 This package includes the quickfix documentation.
