## quickfix 1.13.3+dfsg

=== debian/changelog ===
quickfix (1.13.3+dfsg-8ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use autotools-dev dh helper instead of manually copying
      config.{sub,guess} to fix FTBFS on arm64.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 09 Apr 2014 13:24:18 -0400

quickfix (1.13.3+dfsg-8) unstable; urgency=low

  * Standardize patch names and number patches
  * Fix FTBFS: explicitly use -pthread when building on kfreebsd-*

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 31 Mar 2014 10:02:48 -0400

quickfix (1.13.3+dfsg-7ubuntu1) trusty; urgency=medium

  * Use autotools-dev dh helper instead of manually copying config.{sub,guess}
    to fix FTBFS on arm64.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 05 Mar 2014 14:19:00 -0500

quickfix (1.13.3+dfsg-7) unstable; urgency=low

  * Drop Ruby and Python bindings (Closes: #735438, #717412, #739779)
  * Update to Standards-Version 3.9.5 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 04 Mar 2014 08:44:50 -0500

quickfix (1.13.3+dfsg-6) unstable; urgency=low

  * Ensure `xargs` doesn't call `chmod` if nothing is found (Closes: #717199)
  * Document how to regenerate SWIG-generated files

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 20 Jul 2013 10:04:06 -0400

quickfix (1.13.3+dfsg-5) unstable; urgency=low

  * Add Vcs-* fields to debian/control
  * Update to Standards-Version 3.9.4 (no changes)
  * Build with hardening options, adjust flags, and fix binary-indep target
  * Patches to correct format string insecurity, as well replace deprecated
    calls (Closes: 676083)
  * Rename binary package libquickfix-ruby1.8 to ruby-quickfix, also remove
    binary support for Ruby 1.8 and add binary support for Ruby 1.9

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 10 Jul 2013 22:49:22 -0400

quickfix (1.13.3+dfsg-4) unstable; urgency=low

  * Change Build-Depends to use default Python version (Closes: #653798)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 03 Jan 2012 20:39:48 -0500

quickfix (1.13.3+dfsg-3) unstable; urgency=low

  * Apply test_runner_bad_virtual_method_arg.patch from unittest++ source,
    since quickfix embeds its own copy of UnitTest++ (Closes: #648257)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 26 Nov 2011 18:59:25 -0500

quickfix (1.13.3+dfsg-2) unstable; urgency=low

  * Only apply -msse3 optimization when it will work, thanks to Nobuhiro
    Iwamatsu for the patch (Closes: #644450)

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 10 Oct 2011 11:52:59 -0400

quickfix (1.13.3+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #642268)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 20 Sep 2011 18:09:58 -0400
