=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Standards-Version: 3.9.5
 Section: libs
 Homepage: http://www.quickfixengine.org/index.html
-Vcs-Browser: https://github.com/quickfix/quickfix
-Vcs-Git: git://github.com/quickfix/quickfix.git
+Vcs-Browser: https://quickfix.svn.sourceforge.net/svnroot/quickfix/trunk/quickfix
+Vcs-Svn: svn://svn.code.sf.net/p/quickfix/code/
 
 Package: libquickfix-dev
 Section: libdevel
 Architecture: any
-Depends: libquickfix14v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libquickfix14 (= ${binary:Version}), ${misc:Depends}
 Suggests: libquickfix-doc
 Description: FIX protocol library - development files
  The Financial Information eXchange (FIX) Protocol is a message standard
@@ -23,11 +23,9 @@
  .
  This package includes the quickfix development files.
 
-Package: libquickfix14v5
+Package: libquickfix14
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libquickfix14
-Replaces: libquickfix14
 Description: FIX protocol library - runtime files
  The Financial Information eXchange (FIX) Protocol is a message standard
  developed to facilitate the electronic exchange of information related to
@@ -36,12 +34,10 @@
  .
  This package includes the quickfix runtime files.
 
-Package: libquickfix14v5-dbg
+Package: libquickfix14-dbg
 Section: debug
 Architecture: any
-Depends: libquickfix14v5 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libquickfix14-dbg
-Replaces: libquickfix14-dbg
+Depends: libquickfix14 (= ${binary:Version}), ${misc:Depends}
 Description: FIX protocol library - debugging symbols
  The Financial Information eXchange (FIX) Protocol is a message standard
  developed to facilitate the electronic exchange of information related to
