=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg[.\d]*//" \
http://sf.net/quickfix/quickfix-([.0-9]+)\.tar\.gz debian debian/repack.sh
# http://sf.net/quickfix/quickfix-([.0-9]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip) debian debian/repack.sh
