=== debian/changelog ===
quickfix (1.14.4+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #831128)
  * Rename libquickfix14 -> libquickfix16
  * Dropped patches (incorporated upstream):
    + patches/01_uninitialized_v2.patch
    + patches/07_stdlib.patch
  * Dropped patches (obsolete):
    + patches/02_src_fieldbase_calculate.patch
    + patches/04_ruby_site_packages.patch
    + patches/05_ruby_hardcode_lower_optimization.patch
    + patches/06_build_system_cleanup.patch
    + patches/09_error_string_format.patch
    + patches/10_STR2CSTR_replace.patch
    + patches/11_RSTRING_update.patch
  * Refreshed patches:
    + patches/03_src_heartbeat.patch
    + patches/06_build_system_cleanup.patch
  * New patches:
    + patches/01_disable_problematic_tests.patch
    + patches/02_dtor_noexcept_false.patch
  * Update to debhelper compatibility level 9
  * Update obsolete build dependencies:
    + libmysqlclient-dev to default-libmysqlclient-dev (Closes: #845901)
    + libpqxx3-dev to libpqxx-dev (Closes: #814232)
  * Remove Vcs-* links pointing to upstream (Closes: #814231)
  * Update to Standards-Version 3.9.8 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 05 Dec 2016 00:04:14 -0500

quickfix (1.13.3+dfsg-9) unstable; urgency=low

  * Fix FTBFS on hurd-i386; thanks to Pino Toscano for the patch
    (Closes: #745943)
  * Fix incorrect manual copying of config.{sub,guess}; thanks to Logan
    Rosen for the patch (Closes: #745156)
  * Update Vcs-* fields to point to GitHub

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 19 Jun 2014 13:32:03 -0400
