=== debian/control ===
Source: quickfix
Priority: extra
Maintainer: Athena Capital Research <acr-debian@athenacr.com>
Uploaders: Roberto C. Sanchez <roberto@connexer.com>
Build-Depends: debhelper (>= 9),
 dh-autoreconf | debhelper (>= 9.20160403~),
 autotools-dev,
 autoconf,
 automake,
 doxygen,
 graphviz,
 quilt,
 libxml2-dev,
 default-libmysqlclient-dev,
 libpqxx-dev,
 libboost-all-dev,
 libtool,
 psmisc,
 flex,
 ruby
Standards-Version: 3.9.8
Section: libs
Homepage: http://www.quickfixengine.org/index.html

Package: libquickfix-dev
Section: libdevel
Architecture: any
Depends: libquickfix16 (= ${binary:Version}),
 ${misc:Depends}
Suggests: libquickfix-doc
Description: FIX protocol library - development files
 The Financial Information eXchange (FIX) Protocol is a message standard
 developed to facilitate the electronic exchange of information related to
 securities transactions. It is intended for use between trading partners
 wishing to automate communications.
 .
 This package includes the quickfix development files.

Package: libquickfix16
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: FIX protocol library - runtime files
 The Financial Information eXchange (FIX) Protocol is a message standard
 developed to facilitate the electronic exchange of information related to
 securities transactions. It is intended for use between trading partners
 wishing to automate communications.
 .
 This package includes the quickfix runtime files.

Package: libquickfix-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libquickfix-dev
Description: FIX protocol library - documentation
 The Financial Information Exchange (FIX) Protocol is a message standard
 developed to facilitate the electronic exchange of information related to
 securities transactions. It is intended for use between trading partners
 wishing to automate communications.
 .
 This package includes the quickfix documentation.
