=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1


# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	touch INSTALL ChangeLog
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --without-java --without-python --without-ruby
	# Restore empty lib/ directory used by upstream build system
	mkdir $(CURDIR)/lib

override_dh_auto_build:
	dh_auto_build
	(cd $(CURDIR)/doc ; ./document.sh)

override_dh_clean:
	dh_clean
	rm -rf INSTALL ChangeLog $(CURDIR)/lib

override_dh_fixperms:
	dh_fixperms
	find $(CURDIR)/debian \( -name Market.cpp -o -name '*.bat' \) -exec chmod 644 {} \;
