=== examples/CMakeLists.txt ===
add_subdirectory(executor)
add_subdirectory(tradeclient)
add_subdirectory(ordermatch)
