=== test/CMakeLists.txt ===
if (WIN32)
add_subdirectory(atrun)
endif()
