=== debian/changelog ===
quickfix (1.15.1+dfsg-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Also add support for riscv64 (Closes: #1012083)
    note: this riscv64+ loongarch64 patch should disappear on next release,
    because the stdc++ atomic will build just fine without embedded code
    copies patches
  * Update homepage field, the old website disappeared

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Oct 2024 08:04:44 +0200

quickfix (1.15.1+dfsg-4.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * add support for loongarch64 (Closes: #1069887)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Sep 2024 15:45:21 +0200

quickfix (1.15.1+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062767

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 22:38:19 +0000

quickfix (1.15.1+dfsg-4) unstable; urgency=medium

  * Use --with-openssl option when building (Closes: #959132)

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 29 Apr 2020 15:41:30 -0400

quickfix (1.15.1+dfsg-3) unstable; urgency=medium

  * Add appropriate multi-arch hints in debian/control
  * Update to Standards-Version 4.5.0 (no changes)
  * Don't let automake clobber user variables (e.g., INCLUDES, LDFLAGS,
    CXXFLAGS, etc.)
  * Update to debhelper compatibility level 10

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 23 Apr 2020 00:32:03 -0400

quickfix (1.15.1+dfsg-2) unstable; urgency=medium

  * Fix FTBFS on non-x86-based architectures by using Boost's atomic_count

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 28 Aug 2019 10:13:46 -0400

quickfix (1.15.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    + Rebuild with current MariaDB libraries (Closes: #934818)
  * Rename libquickfix16 -> libquickfix17
  * libquickfix-dev: Add libxml2-dev as a dependency
  * Update to Standards-Version 4.4.0 (no changes)
  * Change package priority from 'extra' to 'optional'

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 25 Aug 2019 07:23:31 -0400
