=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
 Source: quickfix
-Priority: extra
+Priority: optional
 Maintainer: Athena Capital Research <acr-debian@athenacr.com>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>
-Build-Depends: debhelper (>= 9),
- dh-autoreconf | debhelper (>= 9.20160403~),
- autotools-dev,
- autoconf,
- automake,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 10),
  doxygen,
  graphviz,
  quilt,
@@ -14,18 +10,22 @@
  default-libmysqlclient-dev,
  libpqxx-dev,
  libboost-all-dev,
+ libssl-dev,
  libtool,
  psmisc,
  flex,
  ruby
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Section: libs
-Homepage: http://www.quickfixengine.org/index.html
+Homepage: https://github.com/quickfix/quickfix
 
 Package: libquickfix-dev
 Section: libdevel
 Architecture: any
-Depends: libquickfix16 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libquickfix17t64 (= ${binary:Version}),
+ libxml2-dev,
+ libssl-dev,
  ${misc:Depends}
 Suggests: libquickfix-doc
 Description: FIX protocol library - development files
@@ -36,8 +36,12 @@
  .
  This package includes the quickfix development files.
 
-Package: libquickfix16
+Package: libquickfix17t64
+Provides: ${t64:Provides}
+Replaces: libquickfix17
+Breaks: libquickfix17 (<< ${source:Version})
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Description: FIX protocol library - runtime files
@@ -51,6 +55,7 @@
 Package: libquickfix-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: libquickfix-dev
 Description: FIX protocol library - documentation
