=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,17 @@
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+export DEB_CXXFLAGS_MAINT_APPEND=-DENABLE_BOOST_ATOMIC_COUNT
+
 %:
+	dh $@
+
+override_dh_autoreconf:
 	touch INSTALL ChangeLog
-	dh $@ --with autoreconf
+	dh_autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --without-java --without-python --without-ruby
+	dh_auto_configure -- --without-java --without-python --without-ruby --with-openssl
 	# Restore empty lib/ directory used by upstream build system
 	mkdir $(CURDIR)/lib
