=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg[.\d]*//,filenamemangle=s/(?:[^\d\.]*)?v?\.?(\d[\d\.]*)\.tar\.gz/quickfix-$1.tar.gz/" \
    https://github.com/quickfix/quickfix/tags (?:[^\d\.]*)?v?\.?(\d[\d\.]*)\.tar\.gz \
    debian debian/repack.sh
